Index: src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py	(revision c02721c4e06ef72ac9df56ad7390b73484c3d35c)
+++ src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py	(revision 6edd344fa796b585fa45b51c842214a9caa8024e)
@@ -13,7 +13,7 @@
 
 # Local
-from sas.qtgui.Calculators.SldPanel import SldResult
+#from sas.qtgui.Calculators.SldPanel import SldResult
 from sas.qtgui.Calculators.SldPanel import SldPanel
-from sas.qtgui.Calculators.SldPanel import sldAlgorithm
+from sas.qtgui.Calculators.SldPanel import neutronSldAlgorithm, xraySldAlgorithm
 from sas.qtgui.Utilities.GuiUtils import FormulaValidator
 
@@ -22,11 +22,4 @@
 if not QtWidgets.QApplication.instance():
     app = QtWidgets.QApplication(sys.argv)
-
-class SldResultTest(unittest.TestCase):
-    """ Test the simple container class"""
-    def testObjectSize(self):
-        results = SldResult(0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
-                            0.0, 0.0, 0.0, 0.0, 0.0, 0.0)
-        self.assertEqual(sys.getsizeof(results), 56)
 
 
@@ -38,8 +31,8 @@
         wavelength = 6.0
         
-        results = sldAlgorithm( molecular_formula,
+        results = neutronSldAlgorithm( molecular_formula,
                                 mass_density,
                                 wavelength)
-        self.assertIsInstance(results, SldResult)
+        #self.assertIsInstance(results, SldResult)
         self.assertAlmostEqual(results.neutron_length, 0.175463, 5)
         self.assertAlmostEqual(results.neutron_inc_xs, 5.365857, 5)
@@ -51,8 +44,8 @@
         wavelength = 666.0
         
-        results = sldAlgorithm( molecular_formula,
+        results = neutronSldAlgorithm( molecular_formula,
                                 mass_density,
                                 wavelength)
-        self.assertIsInstance(results, SldResult)
+        #self.assertIsInstance(results, SldResult)
         self.assertAlmostEqual(results.neutron_length,   0.059402, 5)
         self.assertAlmostEqual(results.neutron_inc_xs,   0.145427, 5)
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py	(revision c02721c4e06ef72ac9df56ad7390b73484c3d35c)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py	(revision 6edd344fa796b585fa45b51c842214a9caa8024e)
@@ -205,4 +205,5 @@
         model_index = self.widget.cbModel.findText("be_polyelectrolyte")
         self.widget.cbModel.setCurrentIndex(model_index)
+        QtWidgets.qApp.processEvents()
 
         # check the enablement of controls
@@ -1229,4 +1230,5 @@
         model_index = self.widget.cbModel.findText("pringle")
         self.widget.cbModel.setCurrentIndex(model_index)
+        QtWidgets.qApp.processEvents()
 
         # make sure the parameters are different than before
Index: src/sas/qtgui/Plotting/Plotter.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter.py	(revision b016f171dcf6aededb288405b9bf26ba698712b4)
+++ src/sas/qtgui/Plotting/Plotter.py	(revision 6edd344fa796b585fa45b51c842214a9caa8024e)
@@ -220,4 +220,6 @@
         Resize the legend window/font on canvas resize
         """
+        if not self.showLegend:
+            return
         width = _legendResize(event.width)
         # resize the legend to follow the canvas width.
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 0989bad7947a795a616529562dfa130518a575ad)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 6edd344fa796b585fa45b51c842214a9caa8024e)
@@ -409,5 +409,5 @@
 
         # Replace data in plot
-        self.plotter.replacePlot(1, data2)
+        self.plotter.replacePlot("Test name", data2)
 
         # See that the labels changed
